Summary: periodically runs jobs 
Name: watchcrond
Version: 0.90.01
Release: 1
Copyright: GPL
Group: System/Daemons
Source: watchcrond-0.90.01.tar.gz
BuildRoot: /var/tmp/ins-watchcrond

%description
watchCRONd is a daemon that runs jobs hourly, daily, weekly or monthly
by running commands in files in the directories hourly, daily,
weekly, or monthly located under /etc/watchcron.d


%prep 

%setup -n watchcrond-0.90.01


%build
make PKG_CFLAGS="$PKG_CFLAGS" > A 2> A2



%install
mkdir -p $PKG_INS/usr/bin
mkdir -p $PKG_INS/usr/sbin
mkdir -p $PKG_INS/usr/lib
mkdir -p $PKG_INS/var/run

mkdir -p $PKG_INS/etc/watchcron.d/hourly
mkdir -p $PKG_INS/etc/watchcron.d/daily
mkdir -p $PKG_INS/etc/watchcron.d/weekly
mkdir -p $PKG_INS/etc/watchcron.d/monthly

install -d -m 750 -o root -g root $PKG_INS/etc/watchcron.d
install -d -m 700 -o root -g root $PKG_INS/var/lib/watchcrond


for i in 1 3 5 7 8; do
 mkdir -p $PKG_INS/usr/man/man$i
done

mkdir -p $PKG_INS/etc
mkdir -p $PKG_INS/etc/rc.d/init.d

for i in 0 1 2 3 4 5 6; do
  mkdir -p $PKG_INS/etc/rc.d/rc$i.d
done

make install > I 2> I2

#will patch make later
install -m 550 -o root -g root /usr/sbin/watchcrond $PKG_INS/usr/sbin/watchcrond
strip $PKG_INS/usr/sbin/watchcrond

cp /usr/man/man8/watchcrond.8 $PKG_INS/usr/man/man8/watchcrond.8


##INSTALL-CONFIG-ALL##
install -m 750 -o root -g root initd.watchcron \
        $PKG_INS/etc/rc.d/init.d/watchcron

ln -sf ../init.d/watchcron $PKG_INS/etc/rc.d/rc0.d/K70watchcron
ln -sf ../init.d/watchcron $PKG_INS/etc/rc.d/rc3.d/S30watchcron
ln -sf ../init.d/watchcron $PKG_INS/etc/rc.d/rc1.d/K70watchcron
ln -sf ../init.d/watchcron $PKG_INS/etc/rc.d/rc5.d/S30watchcron
ln -sf ../init.d/watchcron $PKG_INS/etc/rc.d/rc2.d/S30watchcron
ln -sf ../init.d/watchcron $PKG_INS/etc/rc.d/rc6.d/K70watchcron


%clean
rm -rf $PKG_INS



%files
%doc COPYING CHANGES
/usr/sbin/watchcrond
/usr/man/man8/watchcrond.8
/etc/rc.d/init.d/watchcron
/etc/rc.d/rc0.d/K70watchcron
/etc/rc.d/rc3.d/S30watchcron
/etc/rc.d/rc1.d/K70watchcron
/etc/rc.d/rc5.d/S30watchcron
/etc/rc.d/rc2.d/S30watchcron
/etc/rc.d/rc6.d/K70watchcron


%dir /etc/watchcron.d
%dir /etc/watchcron.d/hourly
%dir /etc/watchcron.d/daily
%dir /etc/watchcron.d/weekly
%dir /etc/watchcron.d/monthly
%dir /var/lib/watchcrond

%changelog
* Wed Mar 25 1998  mike knerr <mk@eonova.com>
- 0.90.01-1
- truncate errlog file if it exists instead of 
  returning an error
  
* Tue Mar 17 1998 mike knerr  <mk@eonova.com>
- 0.90-1
- first release



